<?php

class forzar extends Controller {

    protected $model;

    public function __construct() {
        parent::__construct();
        $this->model = $this->loadModel('forzar_model');
    }

    public function index($estado = FALSE, $nivel = 0, $local = FALSE) {
        $funciones = $this->model->getFunciones();
        $comunicaciones = $this->loadModel('Comunicaciones_model');
        $locales = $comunicaciones->getData($estado);
        $css_template = array('forzar');
        $js_template = array('forzar');
        $page_template = 'forzar/index';
        $url_forzar = URL_SITIO . 'forzar';
        require APP_DIR . '/views/_templates/general.php';
    }

    public function action($action) {
        if ($action == 'setSyncLocales' && isset($_POST['locales'])) {
            $result = $this->model->setUrgencia($_POST['locales'], $_POST['funciones']);
            if ($result) {
                echo 'Proceso realizado correctamente';
                die();
            } else {
                echo 'Algo salió mal, consultar el LOG';
                die();
            }
        } else {
            echo 'Algo salió mal, consultar el LOG';
            die();
        }
    }

}
